using System;

namespace _4_24
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Title = "_4_24";
            Console.ForegroundColor = ConsoleColor.White;
            //---------------------------------------------
            int n;
            for (int i = 0; i < 20; i++)
            {
                n = Convert.ToInt32(Console.ReadLine());
                if (n < 0)
                {
                    Console.WriteLine("error");
                    Console.WriteLine("-------------------");
                    break;
                }
                Console.WriteLine(System.Math.Sqrt(n));
                Console.WriteLine("-------------------");
            }
            //---------------------------------------------
            Console.Write("\n\nPress any key to exit");
            Console.ReadLine();
        }
    }
}